Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1421369 - No longer possible to copy files to a mtp device
Summary: No longer possible to copy files to a mtp device
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libmtp
Version: 25
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Linus Walleij
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-11 16:56 UTC by fhjhbjn
Modified: 2017-11-11 02:57 UTC (History)
1 user (show)

Fixed In Version: libmtp-1.1.14-1.fc26 libmtp-1.1.14-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-01 00:05:42 UTC
Type: Bug


Attachments (Terms of Use)

Description fhjhbjn 2017-02-11 16:56:39 UTC
Description of problem:


Version-Release number of selected component (if applicable):
1.1.11

How reproducible:
Always

Steps to Reproduce:
1. Connect mtp device over usb
2. Observe logs
3.

Actual results:
Failed to copy files

Expected results:
Possibility to successfully copy files

Additional info:


I have a fully updated Fedora 25 desktop and a Jolla smartphone. Today I noticed that I can no longer copy files to the phone over usb. Couple of weeks ago I was still able to. System logs give:

kernel: usb 3-11: new high-speed USB device number 22 using xhci_hcd
kernel: usb 3-11: config 1 has no interfaces?
kernel: usb 3-11: New USB device found, idVendor=2931, idProduct=0a07
kernel: usb 3-11: New USB device strings: Mfr=1, Product=2, SerialNumber=3
kernel: usb 3-11: Product: Jolla
kernel: usb 3-11: Manufacturer: Jolla
kernel: usb 3-11: SerialNumber: DU3BJ02082
mtp-probe[11925]: checking bus 3, device 22: "/sys/devices/pci0000:00/0000:00:14.0/usb3/3-11"
mtp-probe[11925]: bus: 3, device: 22 was not an MTP device
kernel: usb 3-11: USB disconnect, device number 22
kernel: usb 3-11: new high-speed USB device number 23 using xhci_hcd
kernel: usb 3-11: New USB device found, idVendor=2931, idProduct=0a07
kernel: usb 3-11: New USB device strings: Mfr=1, Product=2, SerialNumber=3
kernel: usb 3-11: Product: Jolla
kernel: usb 3-11: Manufacturer: Jolla
kernel: usb 3-11: SerialNumber: DU3BJ02082
mtp-probe[11936]: checking bus 3, device 23: "/sys/devices/pci0000:00/0000:00:14.0/usb3/3-11"
mtp-probe[11936]: bus: 3, device: 23 was an MTP device
gvfsd[2026]: Device 0 (VID=2931 and PID=0a07) is UNKNOWN in libmtp v1.1.11.
gvfsd[2026]: Please report this VID/PID and the device model to the libmtp development team
tracker-miner-f[2329]: Could not find parent node for URI:'mtp://[usb:003,023]/'
tracker-miner-f[2329]: NOTE: URI theme may be outside scheme expected, for example, expecting 'file://' when given 'http://' prefix.
dbus-daemon[1971]: [session uid=500 pid=1971] Activating service name='org.gnome.Shell.HotplugSniffer' requested by ':1.21' (uid=500 pid=2046 comm="/usr/bin/gnome-shell " label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")
tracker-miner-f[2329]: Could not find parent node for URI:'mtp://[usb:003,023]/'
tracker-miner-f[2329]: NOTE: URI theme may be outside scheme expected, for example, expecting 'file://' when given 'http://' prefix.
tracker-miner-f[2329]: Could not set mount point in database 'urn:nepomuk:datasource:b7b42ae5d17a36ff168b89802224c369', GDBus.Error:org.freedesktop.Tracker1.SparqlError.Internal: UNIQUE constraint failed: nie:DataObject.nie:url (strerror of errno (not necessarily related): Resource temporarily unavailable)
tracker-miner-f[2329]: Could not set mount point in database 'urn:nepomuk:datasource:636a4a9cee38dd9c2837ee55b1e50bee', GDBus.Error:org.freedesktop.Tracker1.SparqlError.Internal: UNIQUE constraint failed: nie:DataObject.nie:url (strerror of errno (not necessarily related): Resource temporarily unavailable)
dbus-daemon[1971]: [session uid=500 pid=1971] Successfully activated service 'org.gnome.Shell.HotplugSniffer'
gnome-shell[2046]: JS ERROR: TypeError:  is null
                                        ContentTypeDiscoverer<._onContentTypeGuessed/<@resource:///org/gnome/shell/ui/components/autorunManager.js:133
                                        _proxyInvoker/asyncCallback@resource:///org/gnome/gjs/modules/overrides/Gio.js:86
gvfsd-mtp[11944]: send_infos_cb: No such interface 'org.gtk.vfs.Enumerator' on object at path /org/gtk/vfs/client/enumerator/28 (g-dbus-error-quark, 19)
gvfsd-mtp[11944]: send_done_cb: No such interface 'org.gtk.vfs.Enumerator' on object at path /org/gtk/vfs/client/enumerator/28 (g-dbus-error-quark, 19)

I can see the files that are on the phone but when I try to copy something to it I get 'Operation not supported'. I also have a Centos7 machine and from it there was no problem to copy files over mtp to the phone.

Comment 1 Fedora Update System 2017-10-20 14:46:11 UTC
libmtp-1.1.14-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2178545be6

Comment 2 Fedora Update System 2017-10-20 14:49:56 UTC
libmtp-1.1.14-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1ed1cb828f

Comment 3 Fedora Update System 2017-10-21 19:26:44 UTC
libmtp-1.1.14-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1ed1cb828f

Comment 4 Fedora Update System 2017-10-22 02:22:31 UTC
libmtp-1.1.14-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2178545be6

Comment 5 Fedora Update System 2017-11-01 00:05:42 UTC
libmtp-1.1.14-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-11-11 02:57:31 UTC
libmtp-1.1.14-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.